// You can import API functions like this from D3.js.
import { select } from 'd3';

// You can import local modules like this. See message.js!
import { message } from './myMessage';

// This line uses D3 to set the text of   the message div.
select('#message').text(message);


var t=d3.transition().duration(7500)

d3.select('div')
	.on('mouseover',function(){
										d3.select(this)	
  									.style('background-color','orange');
  								
  								console.log(d3.event);
  								console.log(d3.mouse(this));
									})
  .on('click',function()
      { d3.select(this).style('background-color','red').attr('name','text');})
	.on('mouseout',function()
      {
  				d3.select(this).style('background-color','steelblue');});



d3.select('#container')
  .on('click',function(){
  d3.select(this).transition(t).style('background-color','red');});



var svgContainer = d3.select("body").append("svg")
                                    .attr("width", 600)
                                    .attr("height", 200);


var rectangle=svgContainer.append('rect')
													.attr('x',50)
													.attr('y',50)
													.attr('width',100)
													.attr('height',40)
													.on('click',function(){
  																d3.select(this)
                                    .transition(t)
                            				.attr('fill','red')
                                    .attr('x',500)
                            				
                            				;
                          				});




var bar1=svgContainer.append('rect')
										 .attr('fill','blue')	
										 .attr('x',150)
										 .attr('y',150)
										 .attr('width',20)
										 .attr('height',20);

var bar2=svgContainer.append('rect')	
										 .attr('fill','blue')	
										 .attr('x',200)
										 .attr('y',150)
										 .attr('width',20)
										 .attr('height',20); 



update();

function update(){
  	bar1.transition()
  			.ease(d3.easeLinear)
  			.duration(2000)
  			.attr('height',100)
   
    bar2.transition()
  			.ease(d3.easeLinear)
  			.duration(2000)
  			.attr('x',300)};


var data=['Hello World']
var p=d3.select('p').on('mouseover',function(){d3.select(this).data(data)
  .text(function(d){return d;})});

json('data.json', function(data) {
    d3.select('body')
  		.selectAll('p')
  		.data(data)
  		.enter()
  		.append(p)
  		.text(function(d){	
      	return d.name +','+d.rank;
})});


